# run file with command 'ruby Airplane.rb'

class Airplane

    attr_accessor :speed
    attr_reader   :id

    def initialize(id, speed)
        @id    = id
        @speed = speed
    end

end

planes = []

for i in 0...100
    planes << Airplane.new(i, rand(450))
end

# Here is an example of using the getter methods for id and speed
planes.each { |plane| puts "Airplane #{plane.id} has speed: #{plane.speed}" }

puts

puts "Airplane 0 has speed: #{planes[0].speed}"

# Here we use the setter method for speed to give it a new value
planes[0].speed = 1000

puts "Now it has speed: #{planes[0].speed}"

# Here we attempt to use a setter method for id to change Plane 0 into
# Plane 2000, but since id only had a getter method defined, the
# following line generates a "Method Undefined" exception

planes[0].id = 2000
